BSON_VECTOR_INT8_CONST_VIEW_POINTER(3)

Obtain a direct int8_t pointer to the Vector elements referenced by a bson_vector_int8_const_view_t <>.

SYNOPSIS

            const int8_t *
            bson_vector_int8_const_view_pointer (bson_vector_int8_const_view_t view);

PARAMETERS

    •   view: A valid bson_vector_int8_const_view_t <>.

DESCRIPTION

Unwraps a vector view into a bare pointer. The int8 Vector elements use a serialized format that's fully compatible with a C int8_t.

RETURNS

A pointer derived from the pointer this View was created from. Its lifetime matches that of the original pointer. If the view was created from a bson_iter_t <>, it will be valid until the underlying bson_t <> is otherwise modified or destroyed.

See also:
        bson_vector_int8_view_pointer() <>

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.